DocumentID: b281d84e-a507-4eba-9bcf-a114e093acb6
TakenAt: 2022-11-13T23:43:24Z
TakenAtLocal: 2022-11-13T23:43:24Z
TakenSrc: meta
UID: pt67r694tu1hgrer
Type: video
Title: Whitman Laboratories / Petersfield / 2022
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 71
Lat: 51.0053
Lng: -0.952
Year: 2022
Month: 11
Day: 13
ISO: 40
Exposure: 1/20
FNumber: 1.8
FocalLength: 28
Quality: 4
Duration: 2.72s
Details:
  Keywords: bedford, england, grey, laboratories, petersfield, road, united-kingdom,
    whitman
  Software: 16.1.1
  SoftwareSrc: meta
CreatedAt: 2025-11-24T04:30:09Z
UpdatedAt: 2025-11-24T08:49:46Z
